package cn.com.ctop.kuaishou.modules.ai.service;

import cn.com.ctop.kuaishou.modules.ai.entity.AiKuaishouAccountAutoTarget;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.common.api.vo.Result;

import java.util.List;

/**
 * 自动投放重构-本地定向表
 *
 * @author jeecg-boot
 * 2021-10-12
 * @version V1.0
 */
public interface IAiKuaishouAccountAutoTargetService extends IService<AiKuaishouAccountAutoTarget> {

    Result<Object> queryPageList(Long accountId, String targetName,Integer platformOs, Integer pageNo, Integer pageSize);

    Result<Object> addLocalTarget(JSONObject requestJson);

    Result<Object> updateLocalTarget(JSONObject requestJson);

    List<AiKuaishouAccountAutoTarget> getAutoTargetByIds(List<String> list);
}
